GET ScaleTicket/GetScaleTicketDataFull?custId={custId}&assemblyNum={assemblyNum}&locationId={locationId}&ticketNumber={ticketNumber}&commodityId={commodityId}&contractNum={contractNum}&ticketStatus={ticketStatus}&ticketDateOnOrAfter={ticketDateOnOrAfter}&ticketDateOnOrBefore={ticketDateOnOrBefore}&farmId={farmId}&fieldId={fieldId}&lastModifiedOnOrAfterUtc={lastModifiedOnOrAfterUtc}&lastModifiedOnOrBeforeUtc={lastModifiedOnOrBeforeUtc}

Returns a list of STLM scale tickets. (Pagination is required and limited to 100 records maximum)

Request Information

URI Parameters

NameDescriptionTypeAdditional Information
custId

Customer ID used on the scale ticket. (optional)

string

Default value is string.Empty

assemblyNum

Assembly number used on the scale ticket. (partial match)(optional)

string

Default value is string.Empty

locationId

Location ID used on the scale ticket. (optional)

string

Default value is string.Empty

ticketNumber

Ticket number used on the scale ticket. (partial match)(optional)

string

Default value is string.Empty

commodityId

Commodity ID used on the scale ticket. (optional)

string

Default value is string.Empty

contractNum

Contract used on the scale ticket. (partial match)(optional)

string

Default value is string.Empty

ticketStatus

Status used on the scale ticket. Status valid entries are 'All', 'Posted', 'Not Posted'. (If not 'Posted' or 'Not Posted', ALL records will be returned)(optional)

string

Default value is All

ticketDateOnOrAfter

Filter the StartDate used on the scale ticket. Format MM-dd-yyyy (optional)

string

Default value is string.Empty

ticketDateOnOrBefore

Filter the EndDate used on the scale ticket. Format MM-dd-yyyy (optional)

string

Default value is string.Empty

farmId

Farm ID used on the scale ticket. This is a 8-digit identifier. (optional)

string

Default value is string.Empty

fieldId

Field ID used on the scale ticket. (optional)

string

Default value is string.Empty

lastModifiedOnOrAfterUtc

Filter the list of tickets to those changed on or after the supplied UTC date and time (optional) - format = yyyy-MM-ddTHH:mm:ss

string

Default value is string.Empty

lastModifiedOnOrBeforeUtc

Filter the list of tickets to those changed on or before the supplied UTC date and time (optional) - format = yyyy-MM-ddTHH:mm:ss

string

Default value is string.Empty

Body Parameters

Response Information

Resource Description

Returns a list of STLM scale tickets. (Pagination is required and limited to 100 records maximum)

AgvStlmScaleTicket
NameDescriptionTypeAdditional Information
Status

0 - Success; 1 - An error occurred; 2 - An error occurred; 3 - Descriptive message, process was successful

string
Message

Informational message that corresponds to the Status returned; 0 - Message will be "OK"; 1 - Detailed message returned to give user an indication of what went wrong; 2 - Less detailed message returned that may not mean anything to the user but that the application might use to take a corrective action; 3 - Not an error but something the user might need to know

string
ErrorList

List of error messages of the API call.

Collection of string
WarningList

List of warning messages of the API call.

Collection of string
Count

Number of results returned

string
Data

List of properties and values returned for each STLM Scale Ticket that matches the request

Collection of ClsStlmScaleTicketApi

Response Formats

application/json, text/json

Sample:
{
  "Status": "sample string 1",
  "Message": "sample string 2",
  "ErrorList": [
    "sample string 1",
    "sample string 2"
  ],
  "WarningList": [
    "sample string 1",
    "sample string 2"
  ],
  "Count": "2",
  "Data": [
    {
      "ScaleTicketGuid": "611a8393-cfba-4ab9-a046-d5c67c69a5a1",
      "UniqueID": 2,
      "AssemblyNumber": "sample string 3",
      "LocationId": "sample string 4",
      "LocationName": "sample string 5",
      "TicketDate": "2026-06-02T16:52:25.9105989+00:00",
      "ConcatenatedScaleTicketNumber": "sample string 71sample string 8",
      "CommodityId": "sample string 9",
      "TicketStatus": "sample string 10",
      "Reversed": true,
      "GrossWeight": 1.1,
      "TareWeight": 1.1,
      "NetWeight": 12.1,
      "GrossUnits": 13.1,
      "TotalPremDisc": 14.1,
      "FarmKey": 1,
      "FarmId": "sample string 15",
      "GrowId": "sample string 16",
      "FieldId": "sample string 17",
      "LotNumber": "sample string 18",
      "Comment": "sample string 19",
      "LastModifiedUtc": "2026-06-02T16:52:25.9105989+00:00",
      "Splits": [
        {
          "CustId": "sample string 1",
          "CustomerName": "sample string 2",
          "Dpr": "sample string 3",
          "ContractId": "sample string 4",
          "ContractLocationId": "sample string 5",
          "GrossUnits": 6.1,
          "ShrinkUnits": 7.1,
          "DockUnits": 8.1,
          "NetUnits": 9.1,
          "FreightPercent": 10.1
        },
        {
          "CustId": "sample string 1",
          "CustomerName": "sample string 2",
          "Dpr": "sample string 3",
          "ContractId": "sample string 4",
          "ContractLocationId": "sample string 5",
          "GrossUnits": 6.1,
          "ShrinkUnits": 7.1,
          "DockUnits": 8.1,
          "NetUnits": 9.1,
          "FreightPercent": 10.1
        }
      ],
      "GradeFactors": [
        {
          "GradeFactorId": "sample string 1",
          "Result": 1.1,
          "PremDisc": 1.1
        },
        {
          "GradeFactorId": "sample string 1",
          "Result": 1.1,
          "PremDisc": 1.1
        }
      ],
      "FreightCharges": [
        {
          "FreightVendorId": "sample string 1",
          "Rate": 1.1,
          "Total": 1.1
        },
        {
          "FreightVendorId": "sample string 1",
          "Rate": 1.1,
          "Total": 1.1
        }
      ]
    },
    {
      "ScaleTicketGuid": "611a8393-cfba-4ab9-a046-d5c67c69a5a1",
      "UniqueID": 2,
      "AssemblyNumber": "sample string 3",
      "LocationId": "sample string 4",
      "LocationName": "sample string 5",
      "TicketDate": "2026-06-02T16:52:25.9105989+00:00",
      "ConcatenatedScaleTicketNumber": "sample string 71sample string 8",
      "CommodityId": "sample string 9",
      "TicketStatus": "sample string 10",
      "Reversed": true,
      "GrossWeight": 1.1,
      "TareWeight": 1.1,
      "NetWeight": 12.1,
      "GrossUnits": 13.1,
      "TotalPremDisc": 14.1,
      "FarmKey": 1,
      "FarmId": "sample string 15",
      "GrowId": "sample string 16",
      "FieldId": "sample string 17",
      "LotNumber": "sample string 18",
      "Comment": "sample string 19",
      "LastModifiedUtc": "2026-06-02T16:52:25.9105989+00:00",
      "Splits": [
        {
          "CustId": "sample string 1",
          "CustomerName": "sample string 2",
          "Dpr": "sample string 3",
          "ContractId": "sample string 4",
          "ContractLocationId": "sample string 5",
          "GrossUnits": 6.1,
          "ShrinkUnits": 7.1,
          "DockUnits": 8.1,
          "NetUnits": 9.1,
          "FreightPercent": 10.1
        },
        {
          "CustId": "sample string 1",
          "CustomerName": "sample string 2",
          "Dpr": "sample string 3",
          "ContractId": "sample string 4",
          "ContractLocationId": "sample string 5",
          "GrossUnits": 6.1,
          "ShrinkUnits": 7.1,
          "DockUnits": 8.1,
          "NetUnits": 9.1,
          "FreightPercent": 10.1
        }
      ],
      "GradeFactors": [
        {
          "GradeFactorId": "sample string 1",
          "Result": 1.1,
          "PremDisc": 1.1
        },
        {
          "GradeFactorId": "sample string 1",
          "Result": 1.1,
          "PremDisc": 1.1
        }
      ],
      "FreightCharges": [
        {
          "FreightVendorId": "sample string 1",
          "Rate": 1.1,
          "Total": 1.1
        },
        {
          "FreightVendorId": "sample string 1",
          "Rate": 1.1,
          "Total": 1.1
        }
      ]
    }
  ]
}

application/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'application/xml'. Exception message: No set method for property 'ScaleTicketNumber' in type 'SKY.Core.Grain.ClsGrPaperclipScaleTick+ClsStlmScaleTicketApi'.

text/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'text/xml'. Exception message: No set method for property 'ScaleTicketNumber' in type 'SKY.Core.Grain.ClsGrPaperclipScaleTick+ClsStlmScaleTicketApi'.